com.sun.grid.jgdi.configuration.reflect

## Class DefaultListPropertyDescriptor

- java.lang.Object
- - com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor
  - - com.sun.grid.jgdi.configuration.reflect.ListPropertyDescriptor
    - - com.sun.grid.jgdi.configuration.reflect.DefaultListPropertyDescriptor

-     public class DefaultListPropertyDescriptor
      extends ListPropertyDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultListPropertyDescriptor(java.lang.Class beanClass, java.lang.String propertyName, java.lang.Class propertyType, java.lang.String cullType, int cullFieldName, boolean browseable, boolean readOnly, boolean configurable)` Creates a new instance of DefaultListPropertyDescriptor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object bean, java.lang.Object value)`
    `java.lang.Object` | `get(java.lang.Object bean, int index)`
    `int` | `getCount(java.lang.Object bean)`
    `java.lang.Object` | `remove(java.lang.Object bean, int index)`
    `boolean` | `remove(java.lang.Object bean, java.lang.Object value)`
    `void` | `removeAll(java.lang.Object bean)`
    `void` | `set(java.lang.Object bean, int index, java.lang.Object value)`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.reflect.ListPropertyDescriptor

      `clone, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor

      `equals, findMethod, findMethod, getBeanClass, getCullContentField, getCullFieldName, getCullType, getJNIPropertyType, getPropertyName, getPropertyType, hasCullWrapper, hashCode, invoke, isBrowsable, isConfigurable, isReadOnly, isSet, setBrowsable, setConfigurable, setCullContentField, setHasCullWrapper, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultListPropertyDescriptor

          public DefaultListPropertyDescriptor(java.lang.Class beanClass,
                                               java.lang.String propertyName,
                                               java.lang.Class propertyType,
                                               java.lang.String cullType,
                                               int cullFieldName,
                                               boolean browseable,
                                               boolean readOnly,
                                               boolean configurable)

      Creates a new instance of DefaultListPropertyDescriptor

  - ### Method Detail

    - #### add

          public void add(java.lang.Object bean,
                          java.lang.Object value)

      Specified by:
        `add` in class `ListPropertyDescriptor`

    - #### get

          public java.lang.Object get(java.lang.Object bean,
                                      int index)

      Specified by:
        `get` in class `ListPropertyDescriptor`

    - #### getCount

          public int getCount(java.lang.Object bean)

      Specified by:
        `getCount` in class `ListPropertyDescriptor`

    - #### remove

          public java.lang.Object remove(java.lang.Object bean,
                                         int index)

      Specified by:
        `remove` in class `ListPropertyDescriptor`

    - #### remove

          public boolean remove(java.lang.Object bean,
                                java.lang.Object value)

      Specified by:
        `remove` in class `ListPropertyDescriptor`

    - #### removeAll

          public void removeAll(java.lang.Object bean)

      Specified by:
        `removeAll` in class `ListPropertyDescriptor`

    - #### set

          public void set(java.lang.Object bean,
                          int index,
                          java.lang.Object value)

      Specified by:
        `set` in class `ListPropertyDescriptor`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.